## Boolesches Prädikat (bool_predicate)

In einem booleschen Prädikat (bool_predicate) werden boolesche Werte (BOOLEAN) verglichen.

### Syntax

<bool_predicate> ::= <column_spec> [IS [NOT] TRUE | IS [NOT] FALSE]

### Erläuterung

Wenn nur eine Spaltenspezifikation column_spec angegeben wird, entspricht das der Syntax <column_spec> IS TRUE.

Die Spaltenspezifikation muss eine Spalte vom Datentyp BOOLEAN bezeichnen.

Für das Ergebnis eines booleschen Prädikats gelten folgende Regeln:

Spaltenwert | IS TRUE | IS NOT TRUE | IS FALSE | IS NOT FALSE
falsch | falsch | wahr | wahr | falsch
undefiniert | undefiniert | undefiniert | undefiniert | undefiniert
wahr | wahr | falsch | falsch | wahr